## gjs 1.64.1

=== debian/changelog ===
gjs (1.64.1-2ubuntu1) focal; urgency=medium

  * Increase API test timeout for riscv64. It usually takes less than a second
    over the 30s limit.

 -- William Grant <wgrant@ubuntu.com>  Tue, 14 Apr 2020 16:59:50 +1000

gjs (1.64.1-2) experimental; urgency=medium

  * Team upload
  * Add proposed patches to fix type-punning on big-endian LP64,
    in particular s390x (Closes: #906022)
  * d/test.sh: Make test failures fatal on all architectures
  * d/rules: Go back to inlining testing instead of using a separate script.
    Now that we are treating test failures as always bad, we don't need
    that extra complexity.

 -- Simon McVittie <smcv@debian.org>  Wed, 08 Apr 2020 12:17:12 +0100

gjs (1.64.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * d/gbp.conf: Use upstream/1.64.x branch.
    There has already been a 1.65.1 release.
  * d/p/Fix-failed-redirect-of-output-in-CommandLine-tests.patch:
    Drop patch, applied upstream
  * d/gjs-tests.install: Adjust to test libraries' new location

 -- Simon McVittie <smcv@debian.org>  Fri, 03 Apr 2020 23:03:07 +0100

gjs (1.64.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release (no changes beyond version number)
  * Explicitly disable profiler.
    It wasn't enabled on the buildds in practice because we don't
    build-depend on sysprof.
  * Enable all optional features that are not explicitly disabled.
    This gives us more deterministic builds and checks that we haven't
    forgotten build-dependencies.
  * Bump build-dependency on gobject-introspection to 1.64.
    The upstream developers won't have tested arbitrary combinations of GNOME
    3.34 and 3.36 components, so we should probably take an all-or-nothing
    approach to the upgrade.
  * d/test.sh: Reset XDG directories to safe temporary values.
    In some build environments these end up set to inaccessible or otherwise
    unsuitable locations, causing one test to fail.
    This should become unnecessary in dh compat level 13, which does something
    similar itself. (Closes: #954659)
  * d/p/root-Always-expose-object-to-JS-before-reset.patch:
    Drop a patch that was not applied upstream.
    According to upstream !396, the bug this was meant to address has
    been fixed differently in 1.63.92.
  * d/p/Fix-failed-redirect-of-output-in-CommandLine-tests.patch:
    Add patch from upstream master to fix a bashism in a test.
    Thanks to Liban Parker.

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Mar 2020 09:38:10 +0000

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gjs
Section: interpreters
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
Build-Depends: debhelper-compat (= 12),
               dh-sequence-gir,
               dh-sequence-gnome,
               pkg-config (>= 0.28),
               libcairo2-dev,
               libffi-dev (>= 3.3),
               libglib2.0-dev (>= 2.58.0),
               libgirepository1.0-dev (>= 1.64),
               gir1.2-gtk-3.0,
               gobject-introspection (>= 1.64),
               libmozjs-68-dev,
               libreadline-dev,
               libcairo2-dev,
               meson (>= 0.50.0),
               dbus <!nocheck>,
               dbus-x11 <!nocheck>,
               at-spi2-core <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
Homepage: https://gitlab.gnome.org/GNOME/gjs/wikis

Package: gjs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gir1.2-gtk-3.0
Breaks: gnome-characters (<< 3.25.92),
        gnome-documents (<< 3.30.0),
        gnome-maps (<< 3.26.1),
        gnome-shell (<< 3.29.90),
        gnome-sound-recorder (<< 3.28.1-3~),
        gnome-weather (<< 3.25.91),
        polari (<< 3.29.91),
        ostree-tests (<< 2017.11-1~),
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the JavaScript language. It's mainly based on the
 Mozilla JavaScript engine and the GObject introspection framework.
 .
 This package contains the interactive console application.

Package: gjs-tests
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gjs,
         at-spi2-core
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the JavaScript language. It's mainly based on the
 Mozilla JavaScript engine and the GObject introspection framework.
 .
 This package contains test programs, designed to be run as part of a
 regression testsuite.

Package: libgjs0g
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends}
Conflicts: libgjs0, libgjs0a, libgjs0b, libgjs0c, libgjs0d, libgjs0e, libgjs0f
Replaces: libgjs0, libgjs0a, libgjs0b, libgjs0c, libgjs0d, libgjs0e, libgjs0f
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the JavaScript language. It's mainly based on the
 Mozilla JavaScript engine and the GObject introspection framework.
 .
 This is the shared library applications link to.

Package: libgjs-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         gjs,
         libgjs0g (= ${binary:Version}),
         libgirepository1.0-dev (>= 1.64),
         libcairo2-dev,
         libmozjs-68-dev
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the JavaScript language. It's mainly based on the
 Mozilla JavaScript engine and the GObject introspection framework.
 .
 This package contains the development files applications need to
 build against.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

include /usr/share/dpkg/default.mk

export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--libdir=/usr/lib \
		--libexecdir=/usr/lib/gjs \
		-Dinstalled_tests=true \
		-Dauto_features=enabled \
		-Dprofiler=disabled \
		$(NULL)

override_dh_girepository:
	dh_girepository -l $(BUILDDIR) /usr/lib/gjs/girepository-1.0

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
	obj-$$(dpkg-architecture -q DEB_HOST_GNU_TYPE)/gjs-console -c 'print("Smoke-test OK")'
	mkdir -p -m700 debian/temp-home
	mkdir -p -m700 debian/temp-home/run
	env \
		-u XDG_CACHE_HOME \
		-u XDG_CONFIG_HOME \
		-u XDG_CONFIG_DIRS \
		-u XDG_DATA_HOME \
		-u XDG_DATA_DIRS \
		HOME=$(CURDIR)/debian/temp-home \
		XDG_RUNTIME_DIR=$(CURDIR)/debian/temp-home/run \
		TZ=UTC \
	xvfb-run -a \
	dh_auto_test
endif

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/gjs-1.0/ -V'libgjs0g (>= $(DEB_VERSION_EPOCH_UPSTREAM))' -- -c4

## gjs 1.64.5

=== meson_options.txt ===
# Features

option('cairo', type: 'feature', value: 'auto',
    description: 'Build cairo module')
option('readline', type: 'feature', value: 'auto',
    description: 'Use readline for input in interactive shell and debugger')
option('profiler', type: 'feature', value: 'auto',
    description: 'Build profiler (Linux only)')

# Flags

option('installed_tests', type: 'boolean', value: true,
    description: 'Install test programs')
option('dtrace', type: 'boolean', value: false,
    description: 'Include dtrace trace support')
option('systemtap', type: 'boolean', value: false,
    description: 'Include systemtap trace support (requires -Ddtrace=true)')
option('bsymbolic_functions', type: 'boolean', value: true,
    description: 'Link with -Bsymbolic-functions linker flag used to avoid intra-library PLT jumps, if supported; not used for MSVC builds')
option('spidermonkey_rtti', type: 'boolean', value: false,
    description: 'Needs to match SpiderMonkey\'s config option')
option('skip_dbus_tests', type: 'boolean', value: false,
    description: 'Skip tests that use a DBus session bus')
option('skip_gtk_tests', type: 'boolean', value: false,
    description: 'Skip tests that need a display connection')
option('verbose_logs', type: 'boolean', value: false,
    description: 'Enable extra log messages that may decrease performance (not allowed in release builds)')

=== debian/changelog ===
gjs (1.64.5-0ubuntu0.20.04.01) focal; urgency=medium

  * New upstream release (LP: #1916488):
    - Fix Error in function "_init()" in module "modules/overrides/GObject.js"
    - gi/wrapperutils: Move gjs_get_string_id() into resolve() implementations
    - overrides/Gtk: Set BuilderScope in class init
    - fix readline build on certain systems

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 22 Feb 2021 14:56:22 +0100

gjs (1.64.3-1~ubuntu20.04.1) focal; urgency=medium

  * Merge with debian, as per new upstream stable release (LP: #1881912)
  * debian/{control,gbp.conf}: Update to match ubuntu/focal branching

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 03 Jun 2020 16:21:53 +0200

gjs (1.64.3-1) unstable; urgency=medium

  * New upstream release:
    - arg: Don't sink GClosure ref if it's a return value
    - overrides/Gtk: Adjust gtk_container_child_set_property() check
    - Use memory GSettings backend in tests
    - Update debug message from trimLeft/trimRight to trimStart/trimEnd
    - Various fixes for potential crash and memory issues
  * debian/rules: Use timeout multiplier in tests

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 03 Jun 2020 15:35:51 +0200

gjs (1.64.2-1ubuntu1~20.04.1) focal; urgency=medium

  * No-change backport to focal (LP: #1876914)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 05 May 2020 14:49:57 +0200

gjs (1.64.2-1ubuntu1) groovy; urgency=medium

  * Merge with debian
  * debian/patches/api-test-timeout.patch: Dropped
  * debian/rules: Use timeout multiplier in tests

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 05 May 2020 01:44:42 +0200

gjs (1.64.2-1) unstable; urgency=medium

  * Team upload
  * New upstream stable release
    - Fix template use in GTK 4
    - Don't crash if a callback doesn't return an expected array of values
    - Fix a crash when passing integer to strv in constructor
    - Skip some tests if GTK can't be initialised
    - Fix gjs_log_exception() for InternalError
    - Fix signal match mechanism
    - Drop all patches, applied upstream
  * Install installed-tests in default /usr/libexec/gjs/installed-tests
  * Install libraries with multiarch paths
  * Simplify dh_makeshlibs invocation using debhelper 12 defaults.
    The incantation we previously had in -V is a longwinded way to write
    dh_makeshlibs -VUpstream-Version (aka plain -V with no argument),
    which is the default in compat level 12 anyway.
  * Mark libgjs0g as Multi-Arch: same

 -- Simon McVittie <smcv@debian.org>  Fri, 01 May 2020 09:59:07 +0100

gjs (1.64.1-3) unstable; urgency=medium

  * Team upload
  * Release to unstable (transition: #954422)

 -- Simon McVittie <smcv@debian.org>  Fri, 10 Apr 2020 14:32:50 +0100

=== debian/control ===
--- 
+++ 
@@ -29,8 +29,10 @@
                xvfb <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
-Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
+Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git -b ubuntu/focal
+Vcs-Browser: https://salsa.debian.org/gnome-team/gjs/tree/ubuntu/focal
 Homepage: https://gitlab.gnome.org/GNOME/gjs/wikis
 
 Package: gjs
@@ -69,6 +71,7 @@
 
 Package: libgjs0g
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -12,15 +12,13 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--libdir=/usr/lib \
-		--libexecdir=/usr/lib/gjs \
 		-Dinstalled_tests=true \
 		-Dauto_features=enabled \
 		-Dprofiler=disabled \
 		$(NULL)
 
 override_dh_girepository:
-	dh_girepository -l $(BUILDDIR) /usr/lib/gjs/girepository-1.0
+	dh_girepository -l $(BUILDDIR) /usr/lib/$(DEB_HOST_MULTIARCH)/gjs/girepository-1.0
 
 override_dh_missing:
 	dh_missing --fail-missing
@@ -40,8 +38,8 @@
 		XDG_RUNTIME_DIR=$(CURDIR)/debian/temp-home/run \
 		TZ=UTC \
 	xvfb-run -a \
-	dh_auto_test
+	meson test -C $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) --timeout-multiplier 4
 endif
 
 override_dh_makeshlibs:
-	dh_makeshlibs -Xusr/lib/gjs-1.0/ -V'libgjs0g (>= $(DEB_VERSION_EPOCH_UPSTREAM))' -- -c4
+	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/gjs-1.0 -- -c4

=== debian/tests/control ===
Tests: build
Restrictions: superficial
Depends: libgjs-dev, build-essential

Tests: installed-tests
Depends: gjs-tests, dbus-x11, dbus (>= 1.8), xauth, xvfb, gnome-desktop-testing

=== debian/watch ===
version=4
https://download.gnome.org/sources/@PACKAGE@/(1\.64)/ \
	@PACKAGE@@ANY_VERSION@\.tar\.xz

## gjs 1.66.1

=== debian/changelog ===
gjs (1.66.1-1) unstable; urgency=medium

  * New upstream release:
    - Throws on Unsupported caller allocates
    - arg: Fix MIN/MAX safe big integer limits
    - Fix leak when virtual function is unimplemented
    - Cannot compile GJS 1.66.0 on macOS with llvm/clang 10.0.1
    - console: fix typo in command-line option
    - Prevent passing null pointers when not nullable
    - Passing fundamentals to functions works again (LP: #1898393)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sun, 11 Oct 2020 01:00:09 +0200

gjs (1.66.0-1) unstable; urgency=medium

  * New upstream release

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 14 Sep 2020 12:51:25 +0200

gjs (1.65.92-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Drop patches, applied upstream

 -- Simon McVittie <smcv@debian.org>  Tue, 08 Sep 2020 16:53:38 +0100

gjs (1.65.91-2) experimental; urgency=medium

  * debian/patches: Fix BoxedInstance initialization causing a crash in s390x

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 02 Sep 2020 16:52:13 +0200

gjs (1.65.91-1) experimental; urgency=medium

  * New upstream release
    - Using mozjs (SpiderMonkey) 78 as JavaScript engine, coming with:
      + A new regular expression engine, supporting lookbehind and named capture
        groups, among other things
      + The ?? operator ("nullish coalescing operator") is now supported
      + The ?. operator ("optional chaining operator") is now supported
      + Public static class fields are now supported
      + Separators in numeric literals are now supported: for example, 1_000_000
      + String.replaceAll() for replacing all instances of a string inside
        another string
      + Promise.allSettled() for awaiting until all Promises in an array have
        either fulfilled or rejected
      + Intl.Locale
      + Intl.ListFormat
      + Intl.RelativeTimeFormat.formatToParts()
    - New API: gjs_coverage_enable() allows the collection of code coverage
      metrics
  * debian/rules:
    - BD on libmozjs-78
  * debian/libgjs0g.symbols: Update, adding new sybmol

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 31 Aug 2020 23:58:06 +0200

gjs (1.65.4-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
    - Allow one to promisify static methods
    - No need to redefine getter and setter for GObject properties
    - Less critical errors logging
    - Add support for JS pubblic class fields
    - Demarshalling fixes in 64-bit big-endian
    - Crash and memory fixes, performance improvements
    - Gtk.Widget is now an iterable object
    - Fix installed-tests compatibility with GTK 4
  * debian/rules:
    - BD on debhelper 13
    - Don't redefine HOME and XDG_RUNTIME_DIR (handled by dh 13)
    - Use dh_auto_test instead of meson test (handled by dh 13)
  * debian/libgjs0g.install: Use variables to get the multi-arch path
  * debian/gjs-tests.install: Adapt to fixed installed-tests location

  [ Simon McVittie ]
  * d/rules: Show output of failing tests.
    Otherwise it's impossible to debug things like #966923.
  * d/p/function-Don-t-assume-FFI-argument-always-matches-GIArgum.patch:
    - Correctly handle function arguments in 64-bit big endian

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 27 Aug 2020 06:29:16 +0200

## gjs 1.66.2

=== meson_options.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 option('systemtap', type: 'boolean', value: false,
     description: 'Include systemtap trace support (requires -Ddtrace=true)')
 option('bsymbolic_functions', type: 'boolean', value: true,
-    description: 'Link with -Bsymbolic-functions linker flag used to avoid intra-library PLT jumps, if supported; not used for MSVC builds')
+    description: 'Link with -Bsymbolic-functions linker flag used to avoid intra-library PLT jumps, if supported; not used for Visual Studio and clang-cl builds')
 option('spidermonkey_rtti', type: 'boolean', value: false,
     description: 'Needs to match SpiderMonkey\'s config option')
 option('skip_dbus_tests', type: 'boolean', value: false,

=== debian/changelog ===
gjs (1.66.2-1) unstable; urgency=medium

  * Team upload

  [ Marco Trevisan (Treviño) ]
  * debian/watch: Ignore '..' links as valid version value

  [ Simon McVittie ]
  * d/watch: Don't assume major version must be a single digit
  * d/watch: Only look for stable-branch versions
  * d/gbp.conf: Use upstream/1.66.x branch to import new versions.
    The first 1.67.x release already happened, but we don't want it for
    Debian 11.
  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Fri, 29 Jan 2021 18:13:21 +0000

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,9 @@
 Source: gjs
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                pkg-config (>= 0.28),
@@ -18,7 +17,7 @@
                libgirepository1.0-dev (>= 1.64),
                gir1.2-gtk-3.0,
                gobject-introspection (>= 1.64),
-               libmozjs-68-dev,
+               libmozjs-78-dev,
                libreadline-dev,
                libcairo2-dev,
                meson (>= 0.50.0),
@@ -29,10 +28,8 @@
                xvfb <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
-Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git -b ubuntu/focal
-Vcs-Browser: https://salsa.debian.org/gnome-team/gjs/tree/ubuntu/focal
+Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
 Homepage: https://gitlab.gnome.org/GNOME/gjs/wikis
 
 Package: gjs
@@ -93,7 +90,7 @@
          libgjs0g (= ${binary:Version}),
          libgirepository1.0-dev (>= 1.64),
          libcairo2-dev,
-         libmozjs-68-dev
+         libmozjs-78-dev
 Description: Mozilla-based javascript bindings for the GNOME platform
  Makes it possible for applications to use all of GNOME's platform
  libraries using the JavaScript language. It's mainly based on the

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

include /usr/share/dpkg/default.mk

export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Dprofiler=disabled \
		$(NULL)

override_dh_girepository:
	dh_girepository -l $(BUILDDIR) /usr/lib/$(DEB_HOST_MULTIARCH)/gjs/girepository-1.0

override_dh_auto_test:
ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
	obj-$(DEB_HOST_GNU_TYPE)/gjs-console -c 'print("Smoke-test OK")'
	env \
		TZ=UTC \
	xvfb-run -a \
	dh_auto_test -- -v -C $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) --timeout-multiplier 4
endif

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/gjs-1.0 -- -c4

=== debian/watch ===
version=4
https://download.gnome.org/sources/@PACKAGE@/(\d[\d\.]+[02468])/ \
	@PACKAGE@@ANY_VERSION@\.tar\.xz

## gjs 1.67.2

=== debian/changelog ===
gjs (1.67.2-2ubuntu1) hirsute; urgency=medium

  * Revert NaN handling changes which were included in the previous
    revision but not mentioned in the changelog, that's creating issues
    for the shell (lp: #1918738)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 12 Mar 2021 09:25:26 +0100

gjs (1.67.2-2) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/gbp.conf: Set upstream branch to upstream/latest
  * debian/patches: Consistently handle undefined values for integer functions.
    This was causing build failures in some architectures as per being NaN
    dependent.

  [ Olivier Tilloy ]
  * Cherry-pick upstream commits to fix failing autopkgtests

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 08 Mar 2021 22:41:06 +0100

gjs (1.67.2-1) experimental; urgency=medium

  * New upstream release
  * d/p/GGjsPrivate-Fix-indentation-in-function.patch,
    d/p/GGjsPrivate-Remove-volatile-from-g_once_init_enter-flag.patch,
    d/p/Gmaint-Avoid-g_once_init_enter-error-in-GCC-11.patch:
    - Handle g_once_init_enter as newer GLib and gcc expects
  * d/p/engine-Set-baseline-interpreter-to-enable_jit.patch:
    - Ensure JIT can be fully disabled
  * debian/libgjs0g.symbols: Update symbols

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 23 Feb 2021 16:49:06 +0100

=== debian/watch ===
version=4
https://download.gnome.org/sources/@PACKAGE@/(\d[\d\.]+[\d])/ \
	@PACKAGE@@ANY_VERSION@\.tar\.xz

## gjs 1.68.4

=== debian/changelog ===
gjs (1.68.4-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: Simplify a bit

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 18 Sep 2021 15:52:33 -0400

gjs (1.68.3-1) unstable; urgency=medium

  * New upstream stable release
  * d/shlibs.local: Give gjs a lockstep dependency on libgjs0g.
    For external packages like gnome-shell, ${shlibs:Depends} should generate
    a dependency on libgjs0g (>= some version) as usual, but for binary
    packages from the same source package we should not allow partial
    upgrades.
  * d/control.in: Move Breaks from gjs to libgjs0g.
    It's really the updated libgjs that will break old GJS applications,
    not the updated gjs command-line executable.
  * d/control.in: Require a newer gnome-shell.
    gnome-shell 3.38.6 has fixes for compatibility with this libgjs, so
    bump the version in the Breaks accordingly.

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Aug 2021 09:06:25 +0100

gjs (1.68.1-2) unstable; urgency=medium

  * Team upload
  * d/copyright: Update
  * Don't let debhelper 13.4+ make all the installed-tests executable
  * Remove unnecessary .eslintrc.yml from installed-tests
  * Silence a Lintian false-positive in the test data
  * Add Lintian override documenting why libgjs0g is not libgjs0
  * Standards-Version: 4.6.0 (no changes required)
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 25 Aug 2021 12:21:03 +0100

gjs (1.68.1-1) experimental; urgency=medium

  * New upstream release
  * debian/patches: Drop all, they've been applied upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 08 May 2021 23:39:49 +0200

gjs (1.68.0-2) experimental; urgency=medium

  * debian/patches: Cherry-pick upstream memory fixes

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 05 May 2021 05:53:50 +0200

gjs (1.68.0-1) experimental; urgency=medium

  * New upstream release
    - Fixed session crashes in gjs on unlocking (sometimes)
    - installed-tests installed despite explicitly disabled
  * debian/patches: Drop all applied upstream
  * d/p/GObject-Don-t-autogenerate-accessors-for-CONSTRUCT_ONLY-p.patch,
    d/p/GObject-Define-camel-and-kebab-variants-of-CONSTRUCT_ONLY.patch,
    d/p/overrides-Gio-Fix-_LocalFilePrototype.patch,
    d/p/object-Return-undefined-and-not-the-actual-function-on-di.patch:
    - Various fixes for JS GObject overrides
  * d/p/cairo-Add-missing-semi-colons-from-dummy-class-declaratio.patch:
    - Fix headers warning
  * d/p/wrapperutils-Use-native-ostringstream-pointer-to-string-c.patch:
    - Print the object address in hex format on toString()
  * d/p/testFundamental-Ensure-a-fundamental-can-be-converted-to-.patch,
    d/p/fundamental-Use-value-or-instance-pointer-when-no-get-set.patch:
    - Correctly handle Gdk 4 Events
  * d/p/object-Pass-the-instance-pointer-to-toggle-notify.patch,
    d/p/object-Switch-back-to-normal-references-on-disposal.patch,
    d/p/object-Discard-disposed-GObject-s-and-do-not-create-wrapp.patch,
    d/p/object-Also-unset-the-object-qdata-during-wrapper-destruc.patch,
    d/p/object-Never-try-to-add-a-toggle-reference-on-a-disposed-.patch,
    d/p/object-Use-the-term-DISPOSED-for-objects-in-such-state-no.patch,
    d/p/testGobjectDestructionAccess-Verify-usage-of-vfunc_dispos.patch,
    d/p/object-Catch-finalized-objects-that-are-still-under-gjs-s.patch,
    d/p/testGObjectDestructionAccess-Ensure-that-returned-dispose.patch,
    d/p/testGObjectDestructionAccess-Verify-that-disposed-object-.patch,
    d/p/object-Cancel-queued-toggles-on-dispose-notify.patch:
    - Improve handling for diposed and finalized objects, fixing crashes
  * d/p/object-Safely-handle-disposal-when-happening-from-other-t.patch,
    d/p/installed-tests-Add-GjsTestTools-utilities-to-call-native.patch,
    d/p/gjs-test-tools-Add-ability-to-ref-unref-and-dispose-from-.patch,
    d/p/object-Discard-wrapper-when-GObject-is-disposed-from-main.patch,
    d/p/object-Do-not-disassociate-a-JS-object-if-we-have-queued-.patch,
    d/p/toggle-Initialize-private-variables-on-construction.patch,
    d/p/toggle-Use-GWeakRef-s-to-track-objects-to-prevent-adding-.patch:
    - Fix handling of dispose and unref hevent when happening in other threads
      (LP: #1882410)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 15 Apr 2021 09:17:17 +0200

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                xauth <!nocheck>,
                xvfb <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
 Homepage: https://gitlab.gnome.org/GNOME/gjs/wikis
@@ -37,14 +37,6 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          gir1.2-gtk-3.0
-Breaks: gnome-characters (<< 3.25.92),
-        gnome-documents (<< 3.30.0),
-        gnome-maps (<< 3.26.1),
-        gnome-shell (<< 3.29.90),
-        gnome-sound-recorder (<< 3.28.1-3~),
-        gnome-weather (<< 3.25.91),
-        polari (<< 3.29.91),
-        ostree-tests (<< 2017.11-1~),
 Description: Mozilla-based javascript bindings for the GNOME platform
  Makes it possible for applications to use all of GNOME's platform
  libraries using the JavaScript language. It's mainly based on the
@@ -73,6 +65,14 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${gir:Depends}
+Breaks: gnome-characters (<< 3.25.92),
+        gnome-documents (<< 3.30.0),
+        gnome-maps (<< 3.26.1),
+        gnome-shell (<< 3.38.6),
+        gnome-sound-recorder (<< 3.28.1-3~),
+        gnome-weather (<< 3.25.91),
+        polari (<< 3.29.91),
+        ostree-tests (<< 2017.11-1~),
 Conflicts: libgjs0, libgjs0a, libgjs0b, libgjs0c, libgjs0d, libgjs0e, libgjs0f
 Replaces: libgjs0, libgjs0a, libgjs0b, libgjs0c, libgjs0d, libgjs0e, libgjs0f
 Description: Mozilla-based javascript bindings for the GNOME platform
@@ -84,6 +84,7 @@
 
 Package: libgjs-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
          gjs,

=== debian/rules ===
#!/usr/bin/make -f

built_binaries := $(shell dh_listpackages)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

include /usr/share/dpkg/default.mk

export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Dprofiler=disabled \
		$(NULL)

execute_after_dh_auto_install:
	rm -f debian/tmp/usr/libexec/installed-tests/gjs/js/modules/*/.eslintrc.yml

override_dh_girepository:
	dh_girepository -l $(BUILDDIR) /usr/lib/$(DEB_HOST_MULTIARCH)/gjs/girepository-1.0

# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests
override_dh_fixperms:
	dh_fixperms -Xusr/libexec/installed-tests
ifneq ($(filter %-tests,$(built_binaries)),)
	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/installed-tests/gjs/*.so
	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
endif

override_dh_auto_test:
	obj-$(DEB_HOST_GNU_TYPE)/gjs-console -c 'print("Smoke-test OK")'
	env \
		TZ=UTC \
	xvfb-run -a \
	dh_auto_test -- -v -C $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) --timeout-multiplier 4

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/gjs-1.0 -- -c4

## gjs 1.72.0

=== debian/changelog ===
gjs (1.72.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 22 Mar 2022 08:09:08 -0400

gjs (1.71.90-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Drop all patches: applied in new release

  [ Marco Trevisan (Treviño) ]
  * debian/gjs.examples: Install JS examples
  * debian/control: Use clearer short descriptions for packages
  * debian/changelog: Remove trailing spaces
  * debian/control: Remove libgjs-dev dependency on gjs
  * debian/control: Remove duplicated build-dependency on libcairo2-dev
  * debian/gjs-tests.lintian-overrides: Ignore link error on d'loaded libs

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 08 Mar 2022 15:37:21 -0500

gjs (1.71.1-1) experimental; urgency=medium

  * New upstream release:
    - New JavaScript features! This version of GJS is based on SpiderMonkey 91
      For more information, look them up on MDN or devdocs.io
    - It's now possible to pass BigInt values to GObject-introspected functions
      with 64-bit parameters
  * debian/patches: Cherry-pick upstream test fixes
  * debian/patches: Do not crash on instanceof checks on interfaces
    (LP: #1960898)
  * debian/patches: Correctly handle later handled promises rejections
  * debian/control: Bump dependency on mozjs-91
  * debian/libgjs0g.symbols: Include new symbols

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 22 Feb 2022 12:26:43 +0100

gjs (1.70.1-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 08 Feb 2022 08:38:53 -0500

gjs (1.70.0-4) unstable; urgency=medium

  * Team upload
  * d/p/arg-Replace-gsize-with-size_t.patch,
    d/p/Handle-optional-out-parameters-in-callbacks.patch:
    Include all patches from upstream gnome-41 branch up to
    1.70.0-4-g62025d4a2
    - Fix FTBFS on some 32-bit architectures where size_t is unsigned long
      but gsize is unsigned int
    - Allow optional 'out' parameters in callbacks to be NULL
  * d/p/build-disable-gir-install-via-list-to-pacify-meson-0.60.2.patch:
    Add patch from upstream to fix FTBFS with meson 0.60.2 (Closes: #1002101)
  * d/p/installed-tests-Install-matchers.js.patch:
    Make cosmetic changes to match the version applied upstream
  * d/p/build-Link-with-libatomic-if-necessary.patch:
    Mark as applied upstream

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Dec 2021 19:39:35 +0000

gjs (1.70.0-3) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Oct 2021 09:36:07 +0100

gjs (1.70.0-2) experimental; urgency=medium

  * Team upload
  * d/p/build-Link-with-libatomic-if-necessary.patch:
    Add patch to link with libatomic if needed (Closes: #995930)

 -- Simon McVittie <smcv@debian.org>  Fri, 08 Oct 2021 12:28:11 +0100

gjs (1.70.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release, required by GNOME Shell 41
  * d/copyright: Update
  * Update mozjs dependency version
  * d/rules: Look for typelibs in build directory during smoke-test
  * d/libgjs0g.symbols: Add new symbols
  * d/libgjs0g.symbols: Ignore removal of private function gjs_open_bytes().
    This was not in public headers, and is only exposed in the ABI so that
    tests can call it.
  * Use a UTF-8 locale to run installed-tests.
    Some of the command-line tests rely on this.
  * d/p/installed-tests-Install-matchers.js.patch:
    Add patch to fix installed-tests failure

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Sep 2021 17:01:56 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: interpreters
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -17,9 +17,8 @@
                libgirepository1.0-dev (>= 1.64),
                gir1.2-gtk-3.0,
                gobject-introspection (>= 1.64),
-               libmozjs-78-dev,
+               libmozjs-91-dev (>= 91.3.0),
                libreadline-dev,
-               libcairo2-dev,
                meson (>= 0.50.0),
                dbus <!nocheck>,
                dbus-x11 <!nocheck>,
@@ -37,7 +36,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          gir1.2-gtk-3.0
-Description: Mozilla-based javascript bindings for the GNOME platform
+Description: Mozilla-based javascript bindings for the GNOME platform (cli tool)
  Makes it possible for applications to use all of GNOME's platform
  libraries using the JavaScript language. It's mainly based on the
  Mozilla JavaScript engine and the GObject introspection framework.
@@ -50,7 +49,7 @@
          ${misc:Depends},
          gjs,
          at-spi2-core
-Description: Mozilla-based javascript bindings for the GNOME platform
+Description: Mozilla-based javascript bindings for the GNOME platform (tests)
  Makes it possible for applications to use all of GNOME's platform
  libraries using the JavaScript language. It's mainly based on the
  Mozilla JavaScript engine and the GObject introspection framework.
@@ -87,11 +86,10 @@
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
-         gjs,
          libgjs0g (= ${binary:Version}),
          libgirepository1.0-dev (>= 1.64),
          libcairo2-dev,
-         libmozjs-78-dev
+         libmozjs-91-dev (>= 91.3.0),
 Description: Mozilla-based javascript bindings for the GNOME platform
  Makes it possible for applications to use all of GNOME's platform
  libraries using the JavaScript language. It's mainly based on the

## gjs 1.72.4

=== debian/changelog ===
gjs (1.72.4-0ubuntu0.22.04.4) jammy; urgency=medium

  * Use the latest upstream release as base again (LP: #2023572):
    - Revert "debian/patches: Restore ubuntu patches of 1.72.2-0ubuntu2"
    - Revert "debian/patches: Revert tree to 1.72.2"
    - Main leak fixes are still included in the changes (LP: #2012978)
  * debian/patches: Revert upstream fixes that may potentially lead to crashes
    As per previous upload we had some random crashes happening with newer
    gjs, so let's remove more complex patches that may have caused them.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 24 May 2024 14:29:08 +0200

gjs (1.72.4-0ubuntu0.22.04.3~really.is.1.72.2.0ubuntu2) jammy; urgency=medium

  * Revert sources to latest valid version in jammy so that people who might
    have had updated to the potentially unstable proposed versions are reverted
    to the last safe version we know (LP: #2066315):
    - debian/patches: Revert tree to 1.72.2
    - debian/patches: Restore ubuntu patches of 1.72.2-0ubuntu2

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 22 May 2024 00:39:16 +0200

gjs (1.72.4-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream stable release (LP: #2023572)
  * debian/patches: Drop, they've been all applied upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 15 Jun 2023 17:23:40 +0200

gjs (1.72.3-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release (LP: #2023572):
  * debian/patches: Refresh teardown patch, replacing it with the one landed
    upstream (LP: #1974293)
  * debian/patches: Cherry-pick upstream fixes to address various memory leaks
    (LP: #2012978)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 13 Jun 2023 01:21:14 +0200

gjs (1.72.2-0ubuntu2) jammy; urgency=medium

  [ Daniel van Vugt ]
  * Add context-Clear-all-vectors-of-JS-Heap-on-dispose.patch (LP: #1974293)

 -- Ghadi Elie Rahme <ghadi.rahme@canonical.com>  Fri, 19 May 2023 11:12:55 +0000

gjs (1.72.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1981722)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 10 Aug 2022 12:26:00 -0400

gjs (1.72.0-3~ubuntu22.04.2) jammy; urgency=medium

  * Cherry-pick patch to fix memory leak seen when taking screenshots
    (LP: #1973638)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 29 Jun 2022 08:44:53 -0400

gjs (1.72.0-3~ubuntu22.04.1) jammy; urgency=medium

  * No-change backport to jammy

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 28 Apr 2022 22:31:00 +0200

gjs (1.72.0-3) unstable; urgency=medium

  * debian/patches: Correctly generate camelCase properties on all locales.
    And particularly looking at Turkish one. (LP: #1969838)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 28 Apr 2022 22:24:50 +0200

gjs (1.72.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 23 Mar 2022 10:48:56 -0400

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gjs
 Section: interpreters
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Tim Lunn <tim@feathertop.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -27,8 +28,10 @@
                xvfb <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
-Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
+Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git -b ubuntu/jammy
+Vcs-Browser: https://salsa.debian.org/gnome-team/gjs/tree/ubuntu/jammy
 Homepage: https://gitlab.gnome.org/GNOME/gjs/wikis
 
 Package: gjs

## gjs 1.74.0

=== debian/changelog ===
gjs (1.74.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 21 Sep 2022 07:57:12 -0400

gjs (1.73.2-1) experimental; urgency=medium

  * New upstream release
  * Build against mozjs102
  * debian/libgjs0g.symbols: Add new symbol

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 24 Aug 2022 14:43:34 -0400

gjs (1.73.1-2) unstable; urgency=medium

  * Rebuild against latest mozjs91 (Closes: #1017063)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 12 Aug 2022 21:33:27 -0400

gjs (1.73.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson to 0.54.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 03 Aug 2022 11:51:35 -0400

gjs (1.72.0-4) unstable; urgency=medium

  [ Simon McVittie ]
  * d/copyright: Replace CC0-1.0 text with a reference to common-licenses

  [ Jeremy Bicha ]
  * Cherry-pick patch to fix memory leak seen when taking screenshots
    (LP: #1973638)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 29 Jun 2022 08:40:12 -0400

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: gjs
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Marco Trevisan (Treviño) <marco@ubuntu.com>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -18,9 +17,9 @@
                libgirepository1.0-dev (>= 1.64),
                gir1.2-gtk-3.0,
                gobject-introspection (>= 1.64),
-               libmozjs-91-dev (>= 91.3.0),
+               libmozjs-102-dev,
                libreadline-dev,
-               meson (>= 0.50.0),
+               meson (>= 0.54.0),
                dbus <!nocheck>,
                dbus-x11 <!nocheck>,
                at-spi2-core <!nocheck>,
@@ -28,10 +27,8 @@
                xvfb <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
-Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git -b ubuntu/jammy
-Vcs-Browser: https://salsa.debian.org/gnome-team/gjs/tree/ubuntu/jammy
+Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
 Homepage: https://gitlab.gnome.org/GNOME/gjs/wikis
 
 Package: gjs
@@ -92,7 +89,7 @@
          libgjs0g (= ${binary:Version}),
          libgirepository1.0-dev (>= 1.64),
          libcairo2-dev,
-         libmozjs-91-dev (>= 91.3.0),
+         libmozjs-102-dev,
 Description: Mozilla-based javascript bindings for the GNOME platform
  Makes it possible for applications to use all of GNOME's platform
  libraries using the JavaScript language. It's mainly based on the

## gjs 1.74.2

=== meson_options.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-License-Identifier: MIT OR LGPL-2.0-or-later
+# SPDX-FileCopyrightText: 2019 Philip Chimento <philip.chimento@gmail.com>
+
 # Features
 
 option('cairo', type: 'feature', value: 'auto',
@@ -17,8 +20,6 @@
     description: 'Include systemtap trace support (requires -Ddtrace=true)')
 option('bsymbolic_functions', type: 'boolean', value: true,
     description: 'Link with -Bsymbolic-functions linker flag used to avoid intra-library PLT jumps, if supported; not used for Visual Studio and clang-cl builds')
-option('spidermonkey_rtti', type: 'boolean', value: false,
-    description: 'Needs to match SpiderMonkey\'s config option')
 option('skip_dbus_tests', type: 'boolean', value: false,
     description: 'Skip tests that use a DBus session bus')
 option('skip_gtk_tests', type: 'boolean', value: false,

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: interpreters
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -20,15 +20,15 @@
                libmozjs-102-dev,
                libreadline-dev,
                meson (>= 0.54.0),
-               dbus <!nocheck>,
+               dbus-daemon <!nocheck>,
                dbus-x11 <!nocheck>,
                at-spi2-core <!nocheck>,
                xauth <!nocheck>,
                xvfb <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
-Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
+Standards-Version: 4.6.1
+Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git -b debian/bookworm
+Vcs-Browser: https://salsa.debian.org/gnome-team/gjs/tree/debian/bookworm
 Homepage: https://gitlab.gnome.org/GNOME/gjs/wikis
 
 Package: gjs

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,7 @@
 endif
 
 override_dh_auto_test:
+	GI_TYPELIB_PATH=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) \
 	obj-$(DEB_HOST_GNU_TYPE)/gjs-console -c 'print("Smoke-test OK")'
 	env \
 		TZ=UTC \

=== debian/tests/control ===
Tests: build
Restrictions: superficial
Depends: libgjs-dev, build-essential

Tests: installed-tests
Depends: dbus-daemon, dbus-x11, gjs-tests, gnome-desktop-testing, xauth, xvfb
